.grouping {
  border-bottom: 1px solid #ccc;
  margin-bottom: 20px;
}
.grouping:last-child {
  border-bottom: 0;
  margin-bottom: 0;
}
.logo-login {
  width: 60%;
  display: block;
  margin: 0 auto 10px;
}
.app-header__logo .logo-src {
  background: url("../../assets/images/logo-inverse.png") !important;
  height: 30px !important;
  background-size: contain !important;
  background-repeat: no-repeat !important;
  width: 200px !important;
}
.app-logo-inverse {
  background: url("../../assets/images/logo.png");
  background-size: contain;
  background-repeat: no-repeat;
  height: 50px;
  width: auto;
  background-position: center;
}
.vertical-nav-menu ul {
  padding: 0.5em 0 0 1rem !important;
}
.vertical-nav-menu li a {
  padding: 0 1.5rem 0 35px !important;
  border-radius: 0 !important;
}
.vertical-nav-menu i.metismenu-state-icon,
.vertical-nav-menu i.metismenu-icon {
  width: 20px;
  height: 20px;
  line-height: 20px;
  margin-top: -10px;
  font-size: 1.3rem;
}

.bg-softgrey {
  background: #f1f4f6;
}
.valign-top {
  vertical-align: top !important;
}
.br-2 {
  border-radius: 0.25rem;
  border: 1px solid #dee2e6;
}

label.error {
  color: red;
}
.app-page-title .page-title-heading {
  max-width: calc(100% - 120px);
}
.icon-login {
  width: 70px;
  text-align: center;
  font-size: 36px;
  color: #8b8b8b;
}
.input-login {
  width: calc(100% - 70px);
}
.input-box {
  border: 1px solid #ced4da;
  border-radius: 4px;
  padding: 15px 15px 15px 0;
}
.input-login .form-control {
  border: 0 !important;
  border-bottom: 1px solid #3f6ad8 !important;
  padding: 0 !important;
  border-radius: 0 !important;
  font-size: 16px !important;
}
.input-login .form-control[aria-invalid="false"],
.input-login .form-control:invalid {
  background: transparent !important;
}
.input-login .form-control:focus {
  outline: none !important;
  box-shadow: none !important;
}
.input-login .form-label {
  font-size: 13px;
  color: #8b8b8b;
}
@media (max-width: 768px) {
  .image-res {
    display: none !important;
  }
}
div.tagsinput {
  border: 1px solid #ced4da;
  background: #fff;
  padding: 5px;
  width: 300px;
  height: 100px;
  overflow-y: auto;
  border-radius: 0.25rem;
}
div.tagsinput span.tag {
  border: 1px solid #a5d24a;
  -moz-border-radius: 2px;
  -webkit-border-radius: 2px;
  display: block;
  float: left;
  padding: 5px;
  text-decoration: none;
  background: #cde69c;
  color: #638421;
  margin-right: 5px;
  margin-bottom: 5px;
  font-family: helvetica;
  font-size: 13px;
}
div.tagsinput span.tag a {
  font-weight: bold;
  color: #82ad2b;
  text-decoration: none;
  font-size: 11px;
}
div.tagsinput input {
  width: 80px;
  margin: 0px;
  font-family: helvetica;
  font-size: 13px;
  border: 1px solid transparent;
  padding: 5px;
  background: transparent;
  color: #000;
  outline: 0px;
  margin-right: 5px;
  margin-bottom: 5px;
}
div.tagsinput div {
  display: block;
  float: left;
}
.tags_clear {
  clear: both;
  width: 100%;
  height: 0px;
}
.not_valid {
  background: #fbd8db !important;
  color: #90111a !important;
}
.table .form-check {
  margin-bottom: 0;
}
.app-main {
  z-index: auto;
}
.fixed-header .app-header {
  z-index: 16;
}
.app-sidebar .app-sidebar__inner {
  padding: 1.5rem 1rem;
}
.app-main {
  display: block;
}
.table th,
.table td {
  font-size: 12px;
  padding: 0.3rem;
}
.table th {
  vertical-align: middle !important;
  text-align: center;
}
.w-5 {
  width: 80px;
}
.w-3 {
  width: 80px;
}
.table .form-control {
  height: calc(1.8125rem + 2px);
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  line-height: 1.5;
  border-radius: 0.2rem;
}
.table textarea.form-control {
  height: auto;
}
label.form-label {
  font-size: 14px;
  color: rgba(13, 27, 62, 0.7);
}
.font-bold {
  font-weight: bold;
}
.table .btn {
  margin: 1.5px 0;
}
.table-scroll {
  overflow-x: scroll;
}

.no-responsive-table {
  table-layout: fixed;
  width: 100%;
}
.loadingpage {
  display: block; /* Biarkan ini tetap ada */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.8);
  justify-content: center;
  align-items: center;
  z-index: 999;
}

.spinner {
  border: 16px solid #f3f3f3;
  border-top: 16px solid #3498db;
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
      position: fixed;
    left: 50%;
    top: 50%;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.notification-item {
  border-bottom: 1px solid #ccc; /* Add a bottom border to each list item */
margin-top: 0; 
}
